Edit a Scheduled Conference
Edit the setting of a scheduled conference.
Request URL
POST {base_url}/{api_path}/conference/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The ID of the conference. Note: You can query the conference ID using Search Specific Scheduled Conferences. |
| name | No | String | Conference name. Note: The length of the name should be less than 127. |
| partic_password | No | String | Specify the password required for participants to join the conference. Note: The length of the password should be less than 15. |
| moderator_password | No | String | Specify the password required for users to join the conference as moderators. Note: The length of the password should be less than 15. |
| sound_prompt | No | String | Specify the prompt to announce to the participants when someone joins or exits from the conference call. Valid value:
|
| enb_custom_language | No | Integer | Whether to enable custom prompt language for the conference call. Valid value:
|
| prompt_language | No | String | Specify the custom prompt language. Valid value: The prompt language existed in PBX System Prompt. Note: You can query the available system prompt languages using Get Menu Options ("menu":"system_prompt"). |
| enb_wait_moderator | No | Integer | Whether participants should wait for the moderator to start the conference. Valid value:
|
| allow_partic_invite | No | Integer | Whether to allow the extension participants to invite users to join the conference. Valid value:
|
| moderator_list | No | Array <String> | The ID list of the conference moderators. Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
POST /openapi/v1.0/conference/update?access_token=InOCBejKj6m3hrSmWU7XWdCq1npfeyos HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"id": 6,
"name": "Regional Sales Strategy Session 2"
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}